Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class JarVisitor.JavaElementFilter

    java.lang.Object
      org.hibernate.ejb.packaging.JarVisitor.Filter
          org.hibernate.ejb.packaging.JarVisitor.JavaElementFilter

Direct Known Subclasses:
  JarVisitor.ClassFilter, JarVisitor.PackageFilter

Enclosing class:
  JarVisitor

    public abstract static class JarVisitor.JavaElementFilter

extends JarVisitor.Filter

Filter a Java element (class or package per fully qualified name and annotation existence) At least 1 annotation has to annotate the element and the accept method must match If none annotations are passed, only the accept method must pass.

Constructor Summary
`protected` | `JarVisitor.JavaElementFilter(boolean retrieveStream, Class[] annotations)`

Method Summary
`abstract boolean` | `accept(String javaElementName)` Return true if the fully qualified name match
`Class[]` | `getAnnotations()`

Methods inherited from class org.hibernate.ejb.packaging.JarVisitor.Filter
`getStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarVisitor.JavaElementFilter

    protected JarVisitor.JavaElementFilter(boolean retrieveStream,
                                           Class[] annotations)

Parameters:
  `retrieveStream` - Give back an open stream to the matching element or not
  `annotations` - Array of annotations that must be present to match (1 of them should annotate the element

Method Detail

### getAnnotations

    public Class[] getAnnotations()

### accept

    public abstract boolean accept(String javaElementName)

  Return true if the fully qualified name match

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD